glab(1)

NAME

glab-variable-set - Create a new project or group variable

SYNOPSIS

glab variable set [flags]

DESCRIPTION

Create a new project or group variable

OPTIONS

-g, --group=""
    Set variable for a group

-m, --masked[=false]
    Whether the variable is masked

-p, --protected[=false]
    Whether the variable is protected

-r, --raw[=false]
    Whether the variable is treated as a raw string

-s, --scope=""
    The environment_scope of the variable. All (), or specific environments

-t, --type="env_var"
    The type of a variable: {env_var|file}

-v, --value=""
    The value of a variable

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    glab variable set WITH_ARG "some value"
    glab variable set FROM_FLAG -v "some value"
    glab variable set FROM_ENV_WITH_ARG "${ENV_VAR}"
    glab variable set FROM_ENV_WITH_FLAG -v"${ENV_VAR}"
    glab variable set FROM_FILE < secret.txt
    cat file.txt | glab variable set SERVER_TOKEN
    cat token.txt | glab variable set GROUP_TOKEN -g mygroup --scope=prod

SEE ALSO

glab-variable(1)